## pacman 0.2.0

=== DESCRIPTION ===
Package: pacman
Type: Package
Title: Package Management Tool
Version: 0.2.0
Date: 2012-06-03
Authors@R: c(person("Tyler", "Rinker",
    role = c("aut", "cre", "ctb"),
    email = "tyler.rinker@gmail.com"),
    person("Dason", "Kurkiewicz",
    role = c("aut", "ctb"),
    email = "dasonk@iastate.edu"))
Author: Tyler Rinker [aut, cre, ctb], Dason Kurkiewicz [aut, ctb]
Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
Depends: R (>= 2.13.0)
Imports: devtools
Suggests: knitr, lattice, testthat, XML
BugReports: https://github.com/trinker/pacman/issues?state=open
Description: Tools to more conveniently perform tasks
    associated with add on packages.  pacman conveniently wraps library and
    package related functions and names them in an intuitive and consistent
    fashion.  It seeks to combine functionality from lower level functions which
    can speed up workflow.
License: GPL-2
URL: https://github.com/trinker/pacman
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2015-02-15 00:48:13 UTC; Tyler
Repository: CRAN
Date/Publication: 2015-02-15 07:35:42

## pacman 0.3.0

=== DESCRIPTION ===
Package: pacman
Type: Package
Title: Package Management Tool
Version: 0.3.0
Date: 2012-06-03
Authors@R: c(person("Tyler", "Rinker",
    role = c("aut", "cre", "ctb"),
    email = "tyler.rinker@gmail.com"),
    person("Dason", "Kurkiewicz",
    role = c("aut", "ctb"),
    email = "dasonk@iastate.edu"))
Author: Tyler Rinker [aut, cre, ctb], Dason Kurkiewicz [aut, ctb]
Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
Depends: R (>= 2.13.0)
Imports: devtools
Suggests: knitr, lattice, testthat (>= 0.9.0), XML
BugReports: https://github.com/trinker/pacman/issues?state=open
Description: Tools to more conveniently perform tasks
    associated with add-on packages.  pacman conveniently wraps library and
    package related functions and names them in an intuitive and consistent
    fashion.  It seeks to combine functionality from lower level functions which
    can speed up workflow.
License: GPL-2
URL: https://github.com/trinker/pacman
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2015-02-19 16:35:18 UTC; Tyler
Repository: CRAN
Date/Publication: 2015-02-21 01:22:28

## pacman 0.4.1

=== DESCRIPTION ===
Package: pacman
Type: Package
Title: Package Management Tool
Version: 0.4.1
Date: 2016-03-30
Authors@R: c(person("Tyler", "Rinker", role = c("aut", "cre", "ctb"),
        email = "tyler.rinker@gmail.com"), person("Dason",
        "Kurkiewicz", role = c("aut", "ctb"), email =
        "dasonk@iastate.edu"), person("Keith", "Hughitt", role =
        c("ctb")))
Author: Tyler Rinker [aut, cre, ctb], Dason Kurkiewicz [aut, ctb],
        Keith Hughitt [ctb]
Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
Depends: R (>= 3.0.2)
Imports: devtools, methods, stats, utils
Suggests: knitr, lattice, testthat (>= 0.9.0), XML
BugReports: https://github.com/trinker/pacman/issues?state=open
Description: Tools to more conveniently perform tasks associated with
        add-on packages.  pacman conveniently wraps library and package
        related functions and names them in an intuitive and consistent
        fashion.  It seeks to combine functionality from lower level
        functions which can speed up workflow.
License: GPL-2
URL: https://github.com/trinker/pacman
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-03-30 11:46:15 UTC; Tyler
Repository: CRAN
Date/Publication: 2016-03-30 20:35:25

## pacman 0.4.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Package: pacman
 Type: Package
 Title: Package Management Tool
-Version: 0.4.1
-Date: 2016-03-30
+Version: 0.4.5
+Date: 2017-05-02
 Authors@R: c(person("Tyler", "Rinker", role = c("aut", "cre", "ctb"),
         email = "tyler.rinker@gmail.com"), person("Dason",
         "Kurkiewicz", role = c("aut", "ctb"), email =
         "dasonk@iastate.edu"), person("Keith", "Hughitt", role =
+        c("ctb")), person("Albert", "Wang", role =
         c("ctb")))
 Author: Tyler Rinker [aut, cre, ctb], Dason Kurkiewicz [aut, ctb],
-        Keith Hughitt [ctb]
+        Keith Hughitt [ctb], Albert Wang [ctb]
 Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
 Depends: R (>= 3.0.2)
 Imports: devtools, methods, stats, utils
@@ -23,8 +24,8 @@
 License: GPL-2
 URL: https://github.com/trinker/pacman
 VignetteBuilder: knitr
-RoxygenNote: 5.0.1
+RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2016-03-30 11:46:15 UTC; Tyler
+Packaged: 2017-05-03 01:05:51 UTC; Tyler
 Repository: CRAN
-Date/Publication: 2016-03-30 20:35:25
+Date/Publication: 2017-05-03 06:56:21 UTC

## pacman 0.4.6

=== DESCRIPTION ===
Package: pacman
Type: Package
Title: Package Management Tool
Version: 0.4.6
Date: 2017-05-02
Authors@R: 
  c(person("Tyler", "Rinker", role = c("aut", "cre", "ctb"), email = "tyler.rinker@gmail.com"),
    person("Dason", "Kurkiewicz", role = c("aut", "ctb"), email = "dasonk@gmail.com"),
    person("Keith", "Hughitt", role = c("ctb")),
    person("Albert", "Wang", role = c("ctb")),
    person("Jim", "Hester", role = c("ctb")))
Depends: R (>= 3.0.2)
Imports: devtools (>= 1.13.0), methods, stats, utils
Suggests: knitr, lattice, testthat (>= 0.9.0), XML
BugReports: https://github.com/trinker/pacman/issues?state=open
Description: Tools to more conveniently perform tasks associated with
        add-on packages.  pacman conveniently wraps library and package
        related functions and names them in an intuitive and consistent
        fashion.  It seeks to combine functionality from lower level
        functions which can speed up workflow.
License: GPL-2
URL: https://github.com/trinker/pacman
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-05-13 15:39:12 UTC; Tyler
Author: Tyler Rinker [aut, cre, ctb],
  Dason Kurkiewicz [aut, ctb],
  Keith Hughitt [ctb],
  Albert Wang [ctb],
  Jim Hester [ctb]
Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
Repository: CRAN
Date/Publication: 2017-05-14 18:02:48 UTC

## pacman 0.5.0

=== DESCRIPTION ===
Package: pacman
Type: Package
Title: Package Management Tool
Version: 0.5.0
Authors@R: c(person("Tyler", "Rinker", role = c("aut", "cre", "ctb"),
        email = "tyler.rinker@gmail.com"), person("Dason",
        "Kurkiewicz", role = c("aut", "ctb"), email =
        "dasonk@gmail.com"), person("Keith", "Hughitt", role =
        c("ctb")), person("Albert", "Wang", role = c("ctb")),
        person("Garrick", "Aden-Buie", role = c("ctb")),
        person("Albert", "Wang", role = c("ctb")),
        person("Lukas", "Burk", role = c("ctb")))
Depends: R (>= 3.5.0)
Imports: remotes, methods, stats, utils
Suggests: BiocManager, knitr, lattice, testthat (>= 0.9.0), XML
BugReports: https://github.com/trinker/pacman/issues?state=open
Description: Tools to more conveniently perform tasks associated with
        add-on packages. pacman conveniently wraps library and package
        related functions and names them in an intuitive and consistent
        fashion.  It seeks to combine functionality from lower level
        functions which can speed up workflow.
License: GPL-2
URL: https://github.com/trinker/pacman
VignetteBuilder: knitr
RoxygenNote: 6.1.0.9000
NeedsCompilation: no
Packaged: 2018-10-22 00:33:34 UTC; trinker
Author: Tyler Rinker [aut, cre, ctb],
  Dason Kurkiewicz [aut, ctb],
  Keith Hughitt [ctb],
  Albert Wang [ctb],
  Garrick Aden-Buie [ctb],
  Albert Wang [ctb],
  Lukas Burk [ctb]
Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
Repository: CRAN
Date/Publication: 2018-10-22 08:30:03 UTC

## pacman 0.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pacman
 Type: Package
 Title: Package Management Tool
-Version: 0.5.0
+Version: 0.5.1
 Authors@R: c(person("Tyler", "Rinker", role = c("aut", "cre", "ctb"),
         email = "tyler.rinker@gmail.com"), person("Dason",
         "Kurkiewicz", role = c("aut", "ctb"), email =
@@ -21,10 +21,9 @@
         functions which can speed up workflow.
 License: GPL-2
 URL: https://github.com/trinker/pacman
-VignetteBuilder: knitr
-RoxygenNote: 6.1.0.9000
+RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2018-10-22 00:33:34 UTC; trinker
+Packaged: 2019-03-11 01:37:03 UTC; trinker
 Author: Tyler Rinker [aut, cre, ctb],
   Dason Kurkiewicz [aut, ctb],
   Keith Hughitt [ctb],
@@ -34,4 +33,4 @@
   Lukas Burk [ctb]
 Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-10-22 08:30:03 UTC
+Date/Publication: 2019-03-11 11:50:07 UTC

## pacman 10

=== debian/changelog ===
pacman (10-21) unstable; urgency=medium

  * Adopt games inside Games team (Closes: #869291)
  * Reformat d/control with debputy
  * Make the .desktop explicitely run the game, not the package manager
    and declare compliance to brand new 4.7.2 Policy (Closes: #1098986)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 27 Feb 2025 08:10:33 +0100

pacman (10-20) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated vcs in d/control to Salsa.
  * Updated Standards-Version from 4.6.0 to 4.7.0.
  * Switched to simpler dh build rules and enabled hardening.
  * Replaced obsolete build dependency libncurses5-dev with libncurses-dev.
  * Add xmkmf override to make build reproducible. (Closes: 1021466)

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 15 Apr 2024 17:51:04 +0200

pacman (10-19) unstable; urgency=medium

  * QA upload.
  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.6.0.1.
      - Organized "Depends" alphabetically.
  * debian/copyright: Updated for format 1.0.
  * debian/menu: Removed because ".desktop" already exists.
  * debian/pacman.lintian-overrides: Created.
  * debian/patches/old-patches.patch: Created.
  * debian/rules:
      - Added "dh sequencer".
      - Removed comments and CFLAGS not util.
  * debian/source/format: Updated to 3.0 (quilt).

 -- Hugo Torres de Lima <hugotorres@protonmail.com>  Fri, 10 Dec 2021 23:53:04 -0300

pacman (10-18) unstable; urgency=medium

  * QA upload.
  * Update Standards-Version to 4.4.1
  * Update compat level to 12
  * Mark maintainers as QA

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 19 Dec 2019 21:44:22 +0000

pacman (10-17.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC-6. (Closes: #811718)
  * Declare compliance with Debian Policy 3.9.8.

 -- Markus Koschany <apo@debian.org>  Mon, 08 Aug 2016 12:04:23 +0200

pacman (10-17.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Provide a desktop file and a new icon for pacman. Thanks to Paolo Naldini
    for the report and initial patch. (Closes: #487276)
  * Declare compliance with Debian Policy 3.9.6.
  * debian/rules: Replace deprecated dh_clean -k with dh_prep.
  * debian/rules: Add recommended build-arch and build-indep targets.
  * debian/control: Add missing ${misc:Depends} substvar.
  * Use compat level 9 and require debhelper >= 9.
  * Use source format 1.0 explicitly.

 -- Markus Koschany <apo@debian.org>  Fri, 04 Dec 2015 18:19:49 +0100

pacman (10-17) unstable; urgency=low

  * imake has moved to xutils-dev, closes: #485214.
  * use nanosleep to avoid chewing up the cpu, closes: #348425.
  * add a menu icon, thanks Mark Purcell!  Closes: #273457.
  * bump debhelper compat to 6, no changes.
  * Update std-ver to 3.8.0
    + change menu section to Games/Action [was Games/Arcade].
  * Updated copyright and license information.

 -- Joe Nahmias <jello@debian.org>  Mon, 16 Jun 2008 23:30:58 -0400

pacman (10-16) unstable; urgency=low

  * debian/control: xlibs-dev transition (closes: #346894).
  * debian/control: bump Std-Ver, no changes.
  * debian/menu: quote strings to satisfy lintian.
  * debian/copyright: update address for FSF to satisfy lintian.

 -- Joe Nahmias <jello@debian.org>  Fri, 13 Jan 2006 04:26:04 +0000

pacman (10-15) unstable; urgency=low

  * New Maintainer (closes: #182985).
  * Update build system to use debhelper.
  * debian/control: Std-Ver (bumped to 3.6.1).
  * pacman.man: escaped bare dash.

 -- Joe Nahmias <jello@debian.org>  Wed, 29 Oct 2003 12:52:30 -0500

pacman (10-14) unstable; urgency=low

  * Rebuilt with g++ 3.3 which fixes old libstdc++2.10-glibc2.2 dep (closes: #210503)

 -- Peter Joseph  <kneecaps@debian.org>  Fri, 12 Sep 2003 13:37:11 +0100

pacman (10-13) unstable; urgency=low

  * Fixed HPPA build problems thanks to Snowman (closes: #104861)

 -- Peter Joseph <kneecaps@debian.org>  Mon, 16 Jul 2001 00:40:44 +0100

pacman (10-12) unstable; urgency=low

  * New Maintainer (closes: #89251)

 -- Peter Joseph <kneecaps@ntlworld.com>  Sun, 17 Jun 2001 23:44:27 +0100

pacman (10-11) unstable; urgency=low

  * Fixed initialisation bug that was causing segfault at startup for some user. Closes: #45027.

 -- Steve McIntyre <93sam@debian.org>  Fri, 9 Mar 2001 22:34:27 -0000

pacman (10-10) unstable; urgency=low

  * Renamed Build-Depends-Indep to Build-Depends. Closes: #88734.
  * Changed maintainer address.

 -- Steve McIntyre <93sam@debian.org>  Wed, 7 Mar 2001 01:00:27 -0000

pacman (10-9) unstable; urgency=low

  * Added Build-Depends-Indep. Closes: #84650.
  * Updated Standards-Version.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sun, 18 Feb 2001 21:21:46 -0000

pacman (10-8) unstable; urgency=low

  * Moved /usr/doc stuff to /usr/share/doc.
  * Updated Standards-Version.
  * Lots of lintian warning fixes.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sat, 23 Dec 2000 16:11:46 -0000

pacman (10-7) frozen unstable; urgency=low

  * Rebuilt against ncurses4 for slink.
  * Needed to add -fno-rtti -fno-exceptions to compiler flags to fix linking problems.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sat, 31 Oct 1998 09:30:46 -0000

pacman (10-6) unstable; urgency=low

  * Moved binary to /usr/games and manpage to /usr/man/man6, to fit Policy section 4.9.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sat, 14 Mar 1998 21:34:02 -0000

pacman (10-5) unstable; urgency=low

  * Libc6 compilation - used patch in bug#16195 (now closed).
  * Fixed debian/rules so fakeroot will work.
  * New standards-version.
  * Updated menu entry.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sat, 10 Jan 1998 17:56:21 -0000

pacman (10-4) unstable; urgency=low

  * Moved man page into section 6.
  * Fixed perms on man page.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Thu, 31 Jan 1997 20:14:38 -0000



=== debian/control ===
Source: pacman
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libncurses-dev,
 libx11-dev,
 libxext-dev,
 xutils-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/games-team/pacman
Vcs-Git: https://salsa.debian.org/games-team/pacman.git
x-Style: black

Package: pacman
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Chase Monsters in a Labyrinth
 You are Pacman, and you are supposed to eat all the small dots to get to
 the next level. You are also supposed to keep away from the ghosts,
 if they take you, you lose one life, unless you have eaten a large dot,
 then you can, for a limited amount of time, chase and eat the ghosts.
 There is also bonus available, for a limited amount of time.
 An X gives just points, but a little pacman gives an extra life.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# Enable all hardening options.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	xmkmf -a
	# Avoid embedding build path
	sed -i -e "s,CXXEXTRA_DEFINES =,CXXEXTRA_DEFINES = -ffile-prefix-map=$(CURDIR)=.,g" Makefile

override_dh_auto_install:
	dh_auto_install -- BINDIR=/usr/games
